package net.za.darkskies.security.sasl;

import java.util.Map;
import javax.security.sasl.*;
import javax.security.auth.callback.CallbackHandler;
import com.sun.security.sasl.util.PolicyUtils;

public final class ClientFactoryImpl
    implements SaslClientFactory
{

    public ClientFactoryImpl()
    {
    }

    public SaslClient createSaslClient(
		String[] mechanisms, 
		String authorizationId, 
		String protocol, 
		String serverName, 
		Map props, 
		CallbackHandler cbh)
        throws SaslException
    {
		//System.out.println("ClientFactoryImpl.createSaslClient");
		return new SSPIImpl(
			mechanisms, 
			authorizationId, 
			protocol, 
			serverName, 
			props, 
			cbh);
    }

    public String[] getMechanismNames(Map map)
    {
        return SSPIImpl.getClientMechanismNames(map);
    }
}
